Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSConferenceMobileLink Class Reference

Interface object representing mobile link feature of a conference call. More...

`#import <CSConferenceMobileLink.h>`

Inherits NSObject.

## Instance Methods
(void) | - setAudioDevice:completionHandler:
| Set Audio device that will be used for playing Sonic signal during room system(s) discovery. More...
(void) | - discoverWithWatcher:
| Initiates discovery of room system(s) that are in the vicinity of this application. More...
(void) | - connectToAddress:passcode:statusHandler:
| Initiates mobile link connection to the specified room system. More...
(void) | - disconnectIncludingRoomSystem:completionHandler:
| Ends an existing mobile link connection to a room system. More...

## Properties
id< CSConferenceMobileLinkDelegate > | delegate
| The delegate used to handle mobile link related events. More...
NSString * | currentRoomSystemAddress
| Address of the currently connected conference room system. More...
NSString * | roomSystemParticipantId
| The participant id of the connected conference room system. More...
CSConferenceMobileLinkConnectionStatus | connectionStatus
| Current connection status. More...

## Detailed Description

Interface object representing mobile link feature of a conference call.

## Method Documentation

- (void) connectToAddress: |  | (NSString *) | address
passcode: |  | (NSString *) | passcode
statusHandler: |  | (void(^)(NSError *error)) | handler

Initiates mobile link connection to the specified room system.

The room system address may be obtained through mobile link discovery, or through manual provisioning of the room system's IP address by the the end user.

Parameters

  address | Network address of the room system to which the mobile link connection is initiated.
  passcode | Optional Passcode required for mobile link connection setup.
  handler | A block to be called when the operation is completed. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error.

- (void) disconnectIncludingRoomSystem: |  | (BOOL) | disconnectRoomSystem
completionHandler: |  | (void(^)(NSError *error)) | handler

Ends an existing mobile link connection to a room system.

Parameters

  disconnectRoomSystem | Whether the room system should be disconnected from the meeting.
  handler | A block to be called when the operation is completed. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error.

- (void) discoverWithWatcher: |  | (CSDataRetrievalWatcher *) | watcher |

Initiates discovery of room system(s) that are in the vicinity of this application.

Parameters

  watcher | A DataRetrievalWatcher object, created by the application, to track the progress of the requested operation. Prior to calling this method, the application should have installed a CSDataRetrievalWatcherDelegate on the watcher object to receive notifications on the progress of the retrieval. The data items returned to the application via the watcher object will be of type CSConferenceRoomSystemInformation.

- (void) setAudioDevice: |  | (CSSpeakerDevice *) | speaker
completionHandler: |  | (void(^)(NSError *error)) | handler

Set Audio device that will be used for playing Sonic signal during room system(s) discovery.

Parameters

  speaker | Speaker device.
  handler | A block to be called when the operation is completed. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error.

## Property Documentation

- (CSConferenceMobileLinkConnectionStatus) connectionStatus
| read nonatomic assign

Current connection status.

- (NSString*) currentRoomSystemAddress
| read nonatomic assign

Address of the currently connected conference room system.

- (id<CSConferenceMobileLinkDelegate>) delegate
| read write nonatomic weak

The delegate used to handle mobile link related events.

- (NSString*) roomSystemParticipantId
| read nonatomic assign

The participant id of the connected conference room system.

The documentation for this class was generated from the following file:

- CSConferenceMobileLink.h